trigger CaseEquipmentStatus3 on Case (After Update) {

Case ca = trigger.new[0];
    if (ca.Opportunity__c != null && (ca.Status == 'Request Completed' || ca.Status == 'Rejected' || ca.Status == 'Request Recalled') && (ca.RequestedAction__c == 'Pre-Activation + Activation' || ca.RequestedAction__c == 'Activation' || ca.RequestedAction__c == 'Change' ||  ca.RequestedAction__c == 'Installation/Activation' ||  ca.RequestedAction__c == 'Pre-Activation' ||   ca.RequestedAction__c == 'Restart' ||   ca.RequestedAction__c == 'Two (2) Hour Activation' ||   ca.RequestedAction__c == 'Pre-Build' || ca.RequestedAction__c == 'Disconnect'  || ca.RequestedAction__c == 'Disconnection'))
        {
            Set<Id> caseIds = new Set<Id>();
            Set<Id> opIds = new Set<Id>();
                for (Case c: Trigger.New){
                    opIds.add(c.Opportunity__c);
                    caseIds.add(c.Id);
         }
            list<opportunity> olic3 = [select id, Hidden_Bulk_Equipment__c from opportunity where Id in :opIds ];
            list<equipment__c> eq3 = [select id, Flags__c, Statis__c, CaseID__c, Remove_Equipment__c, Submitted__c, Opportunity__c from equipment__c where Opportunity__c in :opIds AND CaseID__c in :caseIDs AND Submitted__c = True ];
            list<case> c2 = [select id, CaseNumber, Requested_Actvation_Date_Time__c from case where Id in :caseIds AND Status = 'Request Completed' AND (RequestedAction__c = 'Pre-Activation + Activation' OR RequestedAction__c = 'Activation' OR RequestedAction__c = 'Change' OR  RequestedAction__c = 'Installation/Activation' OR  RequestedAction__c = 'Pre-Activation' OR  RequestedAction__c = 'Restart' OR RequestedAction__c = 'Two (2) Hour Activation' OR RequestedAction__c = 'Pre-Build' OR RequestedAction__c = 'Disconnect' OR RequestedAction__c = 'Disconnection' )];
            list<case> c222 = [select id, CaseNumber, Requested_Actvation_Date_Time__c from case where Id in :caseIds AND (Status = 'Rejected' OR Status = 'Request Recalled') AND (RequestedAction__c = 'Pre-Activation + Activation' OR RequestedAction__c = 'Activation' OR RequestedAction__c = 'Change' OR  RequestedAction__c = 'Installation/Activation' OR  RequestedAction__c = 'Pre-Activation' OR  RequestedAction__c = 'Restart' OR RequestedAction__c = 'Two (2) Hour Activation' OR RequestedAction__c = 'Pre-Build' OR RequestedAction__c = 'Disconnect' OR RequestedAction__c = 'Disconnection' )];

                for (equipment__c eq32: eq3) {                                     if(eq3.size() > 0 && c2.size() > 0 && c222.size() < 1 ){                                       if(eq32.Statis__c == 'Activation Requested' && eq32.Submitted__c == True )                             {                                eq32.Statis__c = 'Activation Completed';                                                 eq32.CaseID__c = NULL;                                                  eq32.Change_Schedule__c = NULL;                                                  eq32.Submitted__c = False;                                                  for (Opportunity olic323: olic3)                                      {                                                          olic323.Hidden_Bulk_Equipment__c = null;                                     }                             }                                                          if(eq32.Statis__c == 'Drop Requested' && eq32.Submitted__c == True )                             {                                                 eq32.Statis__c = 'Drop Completed';                                                  eq32.CaseID__c = NULL;                                                   eq32.Change_Schedule__c = NULL;                                                    eq32.Submitted__c = False;                                                    eq32.Remove_Equipment__c = False;                                                    for (Opportunity olic323: olic3)                                     {                                                         olic323.Hidden_Bulk_Equipment__c = null;                                     }                              }}                                        }
        Database.update(eq3);
        Database.update(olic3);
    }
}